PUT
/agent/{agentId}
http://groundstation.{region}.amazonaws.com/agent/{agentId}<note> <p> For use by AWS Ground Station Agent and shouldn't be called directly.</p> </note> <p>Update the status of the agent.</p>
Access Token Required: API Key
Path Parameters
agentIdstringrequired
UUID of agent to update.
Body Params
taskIdstringrequired
GUID of agent task.
aggregateStatusobjectrequired
Aggregate status of Agent components.
componentStatusesarrayrequired
List of component statuses for agent.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request PUT \2 --url 'http://groundstation.{region}.amazonaws.com/agent/{agentId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}